org.apache.cassandra.db

## Class RangeSliceCommand

- java.lang.Object
- - org.apache.cassandra.db.AbstractRangeCommand
  - - org.apache.cassandra.db.RangeSliceCommand

All Implemented Interfaces:
  IReadCommand, Pageable

    public class RangeSliceCommand
    extends AbstractRangeCommand
    implements Pageable

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.service.pager.Pageable

`Pageable.ReadCommands`

### Field Summary

Fields
`boolean` `countCQL3Rows`
`boolean` `isPaging`
`int` `maxResults`
`static org.apache.cassandra.db.RangeSliceCommandSerializer` `serializer`

### Fields inherited from class org.apache.cassandra.db.AbstractRangeCommand

`columnFamily, keyRange, keyspace, predicate, rowFilter, searcher, timestamp`

### Constructor Summary

Constructors
Constructor and Description
`RangeSliceCommand(java.lang.String keyspace, java.lang.String columnFamily, long timestamp, IDiskAtomFilter predicate, AbstractBounds<RowPosition> range, int maxResults)`
`RangeSliceCommand(java.lang.String keyspace, java.lang.String columnFamily, long timestamp, IDiskAtomFilter predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> row_filter, int maxResults)`
`RangeSliceCommand(java.lang.String keyspace, java.lang.String columnFamily, long timestamp, IDiskAtomFilter predicate, AbstractBounds<RowPosition> range, java.util.List<IndexExpression> rowFilter, int maxResults, boolean countCQL3Rows, boolean isPaging)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `countCQL3Rows()`
`MessageOut<RangeSliceCommand>` `createMessage()`
`java.util.List<Row>` `executeLocally()`
`AbstractRangeCommand` `forSubRange(AbstractBounds<RowPosition> subRange)`
`int` `limit()`
`java.lang.String` `toString()`
`AbstractRangeCommand` `withUpdatedLimit(int newLimit)`

### Methods inherited from class org.apache.cassandra.db.AbstractRangeCommand

`getKeyspace, getTimeout, ignoredTombstonedPartitions, postReconciliationProcessing, requiresScanningAllRanges`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final org.apache.cassandra.db.RangeSliceCommandSerializer serializer

#### maxResults

    public final int maxResults

#### countCQL3Rows

    public final boolean countCQL3Rows

#### isPaging

    public final boolean isPaging

### Constructor Detail

#### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String columnFamily,
                             long timestamp,
                             IDiskAtomFilter predicate,
                             AbstractBounds<RowPosition> range,
                             int maxResults)

#### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String columnFamily,
                             long timestamp,
                             IDiskAtomFilter predicate,
                             AbstractBounds<RowPosition> range,
                             java.util.List<IndexExpression> row_filter,
                             int maxResults)

#### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String columnFamily,
                             long timestamp,
                             IDiskAtomFilter predicate,
                             AbstractBounds<RowPosition> range,
                             java.util.List<IndexExpression> rowFilter,
                             int maxResults,
                             boolean countCQL3Rows,
                             boolean isPaging)

### Method Detail

#### createMessage

    public MessageOut<RangeSliceCommand> createMessage()

Specified by:
  `createMessage` in class `AbstractRangeCommand`

#### forSubRange

    public AbstractRangeCommand forSubRange(AbstractBounds<RowPosition> subRange)

Specified by:
  `forSubRange` in class `AbstractRangeCommand`

#### withUpdatedLimit

    public AbstractRangeCommand withUpdatedLimit(int newLimit)

Specified by:
  `withUpdatedLimit` in class `AbstractRangeCommand`

#### limit

    public int limit()

Specified by:
  `limit` in class `AbstractRangeCommand`

#### countCQL3Rows

    public boolean countCQL3Rows()

Specified by:
  `countCQL3Rows` in class `AbstractRangeCommand`

#### executeLocally

    public java.util.List<Row> executeLocally()

Specified by:
  `executeLocally` in class `AbstractRangeCommand`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`